Get system statistics
curl --request GET \
--url https://api.justanotheruptime.com/admin/system-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.justanotheruptime.com/admin/system-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.justanotheruptime.com/admin/system-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userCount": 100,
"subscriptions": {
"free": 70,
"pro": 25
},
"monitorCount": 500,
"activeMonitors": 450,
"monitorStatus": {
"up": 430,
"down": 20,
"maintenance": 50
},
"projectCount": 50,
"incidentCount": 30,
"activeIncidents": 5,
"statusPageCount": 20,
"checkCount": 10000,
"notificationProviders": {
"email": 80,
"slack": 40,
"discord": 20,
"webhook": 30,
"teams": 10,
"total": 180
}
}Admin
Get system statistics
GET
/
admin
/
system-stats
Get system statistics
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
Returns system statistics
Example:
100
Example:
{ "free": 70, "pro": 25 }
Example:
500
Example:
450
Example:
{ "up": 430, "down": 20, "maintenance": 50 }
Example:
50
Example:
30
Example:
5
Example:
20
Example:
10000
Example:
{
"email": 80,
"slack": 40,
"discord": 20,
"webhook": 30,
"teams": 10,
"total": 180
}
⌘I